<!DOCTYPE html>
<html>
<head>
    <title>Virtual control - Opera de poche</title>
    <style>
        body {
            margin: 0;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 100vh;
        }

        /* Adjust the thickness of the slider track */
        #knob {
            width: 100%;
            max-width: 400px; /* Set a maximum width if desired */
            height: 30px; /* Set the desired height */
        }

        /* Styles for the slider track */
        #knob::-webkit-slider-runnable-track {
            height: 50px; /* Set the thickness of the slider track */
            background-color: #cccccc; /* Customize the color */
        }

        #knob::-moz-range-track {
            height: 50px; /* Set the thickness of the slider track */
            background-color: #cccccc; /* Customize the color */
        }

        /* Styles for the slider thumb */
        #knob::-webkit-slider-thumb {
            height: 50px; /* Set the height of the slider thumb */
            width: 20px; /* Set the width of the slider thumb */
            background-color: #007bff; /* Customize the color */
        }

        #knob::-moz-range-thumb {
            height: 50px; /* Set the height of the slider thumb */
            width: 20px; /* Set the width of the slider thumb */
            background-color: #007bff; /* Customize the color */
        }

        @media screen and (min-width: 768px) {
            #knob {
                max-width: 90%; /* Adjust the percentage based on your preference */
                height: 150px; /* Increase the height for larger screens */
            }

            /* Adjust the thickness of the slider track for larger screens */
            #knob::-webkit-slider-runnable-track {
                height: 150px; /* Set the thickness of the slider track */
            }

            #knob::-moz-range-track {
                height: 150px; /* Set the thickness of the slider track */
            }

            /* Adjust the slider thumb for larger screens */
            #knob::-webkit-slider-thumb {
                height: 110px; /* Set the height of the slider thumb */
                width: 25px; /* Set the width of the slider thumb */
                border: 75px solid #fff; /* Add a border to the thumb */
            }

            #knob::-moz-range-thumb {
                height: 150px; /* Set the height of the slider thumb */
                width: 35px; /* Set the width of the slider thumb */
                border: 2px solid #fff; /* Add a border to the thumb */
            }
        }
        
        .button-container {
            display: flex;
            gap: 40px;
            margin-top: 20px;
            margin-bottom: 60px;
        }

        .action-button {
            font-size: 100px;
            padding: 10px 20px;
            background-color: blue;
            color: white;
            border: none;
            cursor: pointer;
        }

        .disabled-button {
            background-color: gray;
            cursor: not-allowed;
        }
    </style>
</head>
<body>
    <h1>Opera</h1>
    <div class="button-container">
        <button class="action-button" id="playButton" onclick="sendPlay()">Play</button>
        <button class="action-button" id="pauseButton" onclick="sendPause()">Pause</button>
    </div>
    <h1>Volume</h1>
    <input type="range" id="knob" min="0" max="0.75" step="0.01">
    <p id="volume">volume: 0</p>
    <script>
        const knob = document.getElementById('knob');
        const volumeDisplay = document.getElementById('volume');
        const statusDisplay = document.getElementById('status');
        const playButton = document.getElementById('playButton');
        const pauseButton = document.getElementById('pauseButton');

        knob.addEventListener('input', function() {
            const volume = knob.value;
            volumeDisplay.textContent = `volume: ${volume}`;
            sendData(volume);
        });

        async function sendData(volume) {
            try {
                await fetch('/send_message', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded',
                    },
                    body: `volume=${volume}`
                });
            } catch (error) {
                console.error('Error sending message:', error);
            }
        }

        async function sendPlay() {
            try {
                await fetch('/send_play', {
                    method: 'POST',
                });
                playButton.disabled = true;
                pauseButton.disabled = false;
                playButton.classList.add('disabled-button');
                pauseButton.classList.remove('disabled-button');
            } catch (error) {
                console.error('Error sending play command:', error);
            }
        }

        async function sendPause() {
            try {
                await fetch('/send_pause', {
                    method: 'POST',
                });
                pauseButton.disabled = true;
                playButton.disabled = false;
                pauseButton.classList.add('disabled-button');
                playButton.classList.remove('disabled-button');
            } catch (error) {
                console.error('Error sending pause command:', error);
            }
        }
    </script>
</body>
</html>
